<?php

/*

 $Id: show_vlan.inc,v 1.9 2003/12/22 21:50:46 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_vlan.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Show Vlan
	Show a single vlan (or create one?)

*/

?>

<p><font class="header2">
<? if ( $action == 'show_create' ) { ?>
Create a new VLAN
<? } else { ?>
Update a VLAN
<? } ?>
</font>
&nbsp;
</p>


<? if ( ! $conf['error']->get_status('vlan_empty') ) { ?>
<p class="error"><? $conf['error']->show_message('vlan_empty'); ?></p>
<? } ?>
<?
$items = array();
$items[] = "<a href=\"" . $conf['web_path'] . "/vlan.php?action=edit&amp;vlan_id=$vlan->id\">Edit</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/vlan.php?action=show_create\">Create New Vlan</a>";
$items[] = "<a href=\"" . $conf['web_path'] . "/vlan.php?action=show_vlans\">Show Vlans</a>";
$conf['ui']->display_top_widget($items);
?>
<form name="edit_vlan" enctype="multipart/form-data" method="post" action="<?= $conf['web_path']; ?>/vlan.php" style="Display:inline">
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<? echo $conf['light_bgcolor']?>">
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->title("vlan_name"); ?>"><? $conf['help']->show_link("vlan_name"); ?> VLAN Name: </td>
                <td><input name="name" value="<? echo $vlan->name ?>" size="35" />
		<? if ($conf['error']->get_status('vlan_duplicate') ) { $conf['error']->show_message('vlan_duplicate'); } ?>
                </td>
        </tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->title("vlan_id"); ?>"><? $conf['help']->show_link("vlan_id"); ?> VLAN ID: </td>
                <td><input name="vlan_id" value="<? echo $vlan->vlan_id ?>" size="5" maxlength="3" />
		<? if ($conf['error']->get_status('vlan_id') ) { $conf['error']->show_message('vlan_id'); } ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td>&nbsp;</td>
		<td>
		<? if ( $action == 'show_create' ) { ?>
			<input type="submit" name="action" value="Create" />
		<? } else { ?>
			<input type="submit" name="action" value="Update" />
			<input type="hidden" name="id" value="<? echo $vlan->id ?>" />
		<? } ?>
		</td>
	</tr>
</table>
<? show_template('bborder'); ?>
</form>
